%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global	gem_name	test-unit-rr
%global	rubyabi	1.9.1

Summary:	Test::Unit::RR - RR adapter for Test::Unit
Name:		%{?scl_prefix}rubygem-%{gem_name}
Version:	1.0.2
Release:	4%{?dist}
Group:		Development/Languages
# https://github.com/test-unit/test-unit-rr/issues/1
License:	LGPLv2+
URL:		http://rubyforge.org/projects/test-unit/
Source0:	http://rubygems.org/gems/%{gem_name}-%{version}.gem

Requires:	%{?scl_prefix}ruby(abi) = %{rubyabi}
Requires:	%{?scl_prefix}ruby(rubygems) 
Requires:	%{?scl_prefix}ruby 
Requires:	%{?scl_prefix}rubygem(test-unit)
Requires:	%{?scl_prefix}rubygem(rr)
%{?scl:Requires: %{scl}-runtime}
BuildRequires:	%{?scl_prefix}ruby(abi) = %{rubyabi}
BuildRequires:	%{?scl_prefix}rubygems-devel 
BuildRequires:	%{?scl_prefix}ruby
BuildRequires:	%{?scl_prefix}rubygem(test-unit)
BuildRequires:	%{?scl_prefix}rubygem(rr)
BuildArch:	noarch
Provides:	%{?scl_prefix}rubygem(%{gem_name}) = %{version}-%{release}

%description
Test::Unit::RR - RR adapter for Test::Unit.

%package	doc
Summary:	Documentation for %{pkg_name}
Group:		Documentation
Requires:	%{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for %{pkg_name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
# Gem repack
TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir

%{?scl:scl enable %{scl} "}
gem unpack %{SOURCE0}
%{?scl:"}
cd %{gem_name}-%{version}

%{?scl:scl enable %{scl} "}
gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
%{?scl:"}

# Allow current test-unit version for now
sed -i \
	-e '/add_.*dependency.*test-unit/s|2.5.2|2.1.2|' \
	test-unit-rr.gemspec

# And for now change test-unit to test/unit
sed -i \
	-e '/require.*test-unit/s|^.*$|gem "test-unit"\nrequire "test/unit"|' \
	test/run-test.rb
sed -i \
	-e '/require/s|test-unit|test/unit|' \
	lib/test/unit/rr.rb 

%{?scl:scl enable %{scl} "}
gem build %{gem_name}.gemspec
%{?scl:"}
mv %{gem_name}-%{version}.gem $TOPDIR

popd
rm -rf tmpunpackdir

%build
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install \
	--local \
	--install-dir .%{gem_dir} \
	-V \
	--force \
	%{gem_name}-%{version}.gem
%{?scl:"}

# Permission
find . -type f -print0 | xargs --null chmod go-w

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/{Manifest.txt,Rakefile,*.gemspec}

%check
pushd .%{gem_instdir}
%{?scl:scl enable %{scl} "}
ruby -Ilib test/run-test.rb
%{?scl:"}

%files
%dir	%{gem_instdir}
%{gem_libdir}/
%exclude	%{gem_cache}
%{gem_spec}

%doc	%{gem_instdir}/[A-Z]*
%doc	%{gem_instdir}/doc/

%files doc
%doc	%{gem_docdir}/
%exclude	%{gem_instdir}/test/

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan  3 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.2-3
- Fix dependency for test-unit again

* Mon Dec 31 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.2-2
- Add BR: rubygem(test-unit), rubygem(rr)

* Sun Dec  9 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.2-1
- 1.0.2

* Sun Nov 04 2012 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.1-1
- Initial package
